// GlobalValue / GlobalVariable 实现。

#include "ir/IR.h"

namespace ir {

GlobalValue::GlobalValue(std::shared_ptr<Type> ty, std::string name)
    : User(std::move(ty), std::move(name)) {}

GlobalVariable::GlobalVariable(std::string name, int init_val, int count)
    : GlobalValue(Type::GetPtrInt32Type(), std::move(name)),
      init_val_(init_val),
      count_(count) {}

}  // namespace ir
